Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class TransliterationType_

    java.lang.Object
      org.kemet.orm.castor.TransliterationType_

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Transliteration_

    public class TransliterationType_

extends java.lang.Object
implements java.io.Serializable

Class TransliterationType_.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`TransliterationType_()`

Method Summary
`void` | `addValue(int index, java.lang.String vValue)`
`void` | `addValue(java.lang.String vValue)`
`java.util.Enumeration` | `enumerateValue()` Method enumerateValue.
`java.lang.String[]` | `getValue()` Method getValue.Returns the contents of the collection in an Array.
`java.lang.String` | `getValue(int index)` Method getValue.
`int` | `getValueCount()` Method getValueCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iterateValue()` Method iterateValue.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllValue()`
`boolean` | `removeValue(java.lang.String vValue)` Method removeValue.
`java.lang.String` | `removeValueAt(int index)` Method removeValueAt.
`void` | `setValue(int index, java.lang.String vValue)`
`void` | `setValue(java.lang.String[] vValueArray)`
`static TransliterationType_` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransliterationType_

    public TransliterationType_()

Method Detail

### addValue

    public void addValue(java.lang.String vValue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vValue` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addValue

    public void addValue(int index,
                         java.lang.String vValue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vValue` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateValue

    public java.util.Enumeration enumerateValue()

  Method enumerateValue.

  Returns:
    an Enumeration over all possible elements of this collection

### getValue

    public java.lang.String getValue(int index)
                              throws java.lang.IndexOutOfBoundsException

  Method getValue.

  Parameters:
    `index` -
  Returns:
    the value of the java.lang.String at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getValue

    public java.lang.String[] getValue()

  Method getValue.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getValueCount

    public int getValueCount()

  Method getValueCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iterateValue

    public java.util.Iterator iterateValue()

  Method iterateValue.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllValue

    public void removeAllValue()

### removeValue

    public boolean removeValue(java.lang.String vValue)

  Method removeValue.

  Parameters:
    `vValue` -
  Returns:
    true if the object was removed from the collection.

### removeValueAt

    public java.lang.String removeValueAt(int index)

  Method removeValueAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setValue

    public void setValue(int index,
                         java.lang.String vValue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vValue` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setValue

    public void setValue(java.lang.String[] vValueArray)

  Parameters:
    `vValueArray` -

### unmarshal

    public static TransliterationType_ unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.TransliterationType_
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.